Subject: RE: SSH key authentification problem
From: [email-masked]
Cc: [email-masked]
Date: Mon, 19 Jan 2004 12:51:49 +0100

Marc,

To summarise : probably you can log in from Cygwin to
the Linux box using your username and password. This
is the first step.

When you have logged in onto your Linux account, you
are most probably in your home directory. There, you
should enter the command 'ls -al' and look for the .ssh
directory. This directory should have your ownership
and rights 700.

All contents of the directory .ssh should have rights 600.

Saturday morning, I also logged in with one of the students
using 'ssh -v', 'ssh -vv' and even 'ssh -vvv'. You will not get
any more output than what you have already sent to the list.

It will just say which authentication types it tries, but it will not
give any information about why they fail.

If this still fails then it is probably an issue with the
/etc/ssh/sshd_config file on the Linux side, and then you
need administrator assistance, but I seriously doubt that
the most secure authentication mechanisms have been
disabled in favour of password based authorisation.

Regards,

Jurgen

"Marc Poppleton" <[email-masked]>
Sent by: 
[email-masked]
01/19/2004 12:06 PM

        To:     <[email-masked]>
        cc:     (bcc: Jurgen Defurne/BRG/CE/PHILIPS)
        Subject:        RE: SSH key authentification problem
        Classification: 

> The problem's probably on the server end. It must be configured to
> accept pubkey auth, as well as having your public key installed
> properly.  You can see that the client tries pubkey but it's not
> accepted.

Yes, this is what it looks like to me.

> So, none of us are mindreaders here, and we have zero information about
> the configuration details of your sshd, which isn't even running
> Cygwin... So, don't don't be surprised if you are underwhelmed with
> help.

Well, concerning running Cygwin, I get the same results when I type the 
same
commands via the Cygwin Bash shell.
Concerning the zero information about the configuration, did I mention 
that
I'm a total newbie to this subject, and therefore encline not to know what
would be usefull information?
So, what would you need to know in order to provide me with more
overwhelming information ? ;)

Marc

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/